EMAILRELAY-PASSWD(1)

NAME
emailrelay-passwd - a password encoding utility for emailrelay

SYNOPSIS
emailrelay-passwd

DESCRIPTION
emailrelay-passwd is a utility which reads a single plaintext password from the standard input, and writes out an encoded form onto the standard output. The encoded form is suitable for pasting into a "md5" line in an emailrelay secrets file.

A secrets file containing two CRAM-MD5 passwords might look like this:

#
# emailrelay.auth
#
server md5 alice Oqng9/H7wAyKgbuqw5VzG1bNO6feqtblyiNEi6QuN5dH
server md5 bob Ot6SDdGj23eWjdEuKICgN8Nj9z/Vx9IV3ISz9VvmnaUB

OPTIONS

-H, --hash <function>
    Specifies the hash function, such as MD5 or SHA1. MD5 is the default, and a hash function of NONE does simple xtext encoding. Other hash function may or may not be available, depending on the build.

-h, --help
    Shows help text and exits.

-b, --base64
    The input password is interpreted as being base-64 encoded.

-d, --dotted
    Generates a dotted decimal format, for backwards compatibility.

-p, --password <pwd>
    Specifies the password to be hashed. Beware of leaking sensitive passwords via command-line history or the process-table when using this option.

SEE ALSO
emailrelay(1), emailrelay-submit(1),
RFC-2104
RFC-2195

AUTHOR
Graeme Walker, mailto:graeme_walker@users.sourceforge.net